diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/list-scheduler.h ns-3.44/src/core/model/list-scheduler.h
--- ns-3.43/src/core/model/list-scheduler.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/list-scheduler.h	2025-03-09 16:55:49.359371000 -0700
@@ -16,8 +16,8 @@
 #include <utility>
 
 /**
- * \file
- * \ingroup scheduler
+ * @file
+ * @ingroup scheduler
  * ns3::ListScheduler declaration.
  */
 
@@ -27,13 +27,13 @@
 class EventImpl;
 
 /**
- * \ingroup scheduler
- * \brief a std::list event scheduler
+ * @ingroup scheduler
+ * @brief a std::list event scheduler
  *
  * This class implements an event scheduler using an std::list
  * data structure, that is, a double linked-list.
  *
- * \par Time Complexity
+ * @par Time Complexity
  *
  * Operation    | Amortized %Time | Reason
  * :----------- | :-------------- | :-----
@@ -43,7 +43,7 @@
  * Remove()     | Linear          | Linear search in `std::list`
  * RemoveNext() | Constant        | `std::list::pop_front()`
  *
- * \par Memory Complexity
+ * @par Memory Complexity
  *
  * Category  | Memory                           | Reason
  * :-------- | :------------------------------- | :-----
@@ -56,7 +56,7 @@
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/log.cc ns-3.44/src/core/model/log.cc
--- ns-3.43/src/core/model/log.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/log.cc	2025-03-09 16:55:49.359371000 -0700
@@ -25,13 +25,13 @@
 #include <utility>
 
 /**
- * \file
- * \ingroup logging
+ * @file
+ * @ingroup logging
  * ns3::LogComponent and related implementations.
  */
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Unnamed namespace for log.cc
  */
 namespace
@@ -93,19 +93,19 @@
 {
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * The Log TimePrinter.
  * This is private to the logging implementation.
  */
 static TimePrinter g_logTimePrinter = nullptr;
 /**
- * \ingroup logging
+ * @ingroup logging
  * The Log NodePrinter.
  */
 static NodePrinter g_logNodePrinter = nullptr;
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Handler for the undocumented \c print-list token in NS_LOG
  * which triggers printing of the list of log components, then exits.
  *
@@ -416,12 +416,12 @@
 }
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Check if a log component exists.
  * This is private to the logging implementation.
  *
- * \param [in] componentName The putative log component name.
- * \returns \c true if \c componentName exists.
+ * @param [in] componentName The putative log component name.
+ * @returns \c true if \c componentName exists.
  */
 static bool
 ComponentExists(std::string componentName)
@@ -432,7 +432,7 @@
 }
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Parse the \c NS_LOG environment variable.
  * This is private to the logging implementation.
  */
@@ -453,28 +453,30 @@
                 << "\" in env variable NS_LOG, see above for a list of valid components");
         }
 
-        // We have a valid component or wildcard, check the flags
-        if (!value.empty())
+        // No valid component or wildcard
+        if (value.empty())
         {
-            // Check the flags present in value
-            StringVector flags = SplitString(value, "|");
-            for (const auto& flag : flags)
-            {
-                // Handle wild cards
-                if (flag == "*" || flag == "**")
-                {
-                    continue;
-                }
-                bool ok = LOG_LABEL_LEVELS.find(flag) != LOG_LABEL_LEVELS.end();
-                if (!ok)
-                {
-                    NS_FATAL_ERROR("Invalid log level \""
-                                   << flag << "\" in env variable NS_LOG for component name "
-                                   << component);
-                }
-            } // for flag
-        }     // !value.empty
-    }         // for component
+            continue;
+        }
+
+        // We have a valid component or wildcard, check the flags present in value
+        StringVector flags = SplitString(value, "|");
+        for (const auto& flag : flags)
+        {
+            // Handle wild cards
+            if (flag == "*" || flag == "**")
+            {
+                continue;
+            }
+            bool ok = LOG_LABEL_LEVELS.find(flag) != LOG_LABEL_LEVELS.end();
+            if (!ok)
+            {
+                NS_FATAL_ERROR("Invalid log level \""
+                               << flag << "\" in env variable NS_LOG for component name "
+                               << component);
+            }
+        } // for flag
+    }     // for component
 }
 
 void
@@ -482,7 +484,7 @@
 {
     g_logTimePrinter = printer;
     /**
-     * \internal
+     * @internal
      * This is the only place where we are more or less sure that all log variables
      * are registered. See \bugid{1082} for details.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/log.h ns-3.44/src/core/model/log.h
--- ns-3.43/src/core/model/log.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/log.h	2025-03-09 16:55:49.359371000 -0700
@@ -22,16 +22,16 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup logging
+ * @file
+ * @ingroup logging
  * Debug message logging
  */
 
 /**
- * \ingroup debugging
- * \defgroup logging Logging
+ * @ingroup debugging
+ * @defgroup logging Logging
  *
- * \brief Logging functions and macros
+ * @brief Logging functions and macros
  *
  * LOG functionality: macros which allow developers to
  * send information to the \c std::clog output stream.
@@ -42,21 +42,21 @@
  *
  * Use the environment variable NS_LOG to define a ':'-separated list of
  * logging components to enable. For example (using bash syntax),
- * \code
+ * @code
  *   $ NS_LOG="OlsrAgent" ./ns3 run ...
- * \endcode
+ * @endcode
  * would enable one component at all log levels.
- * \code
+ * @code
  *   $NS_LOG="OlsrAgent:Ipv4L3Protocol" ./ns3 run ...
- * \endcode
+ * @endcode
  * would enable two components, at all log levels, etc.
  * \c NS_LOG="*" will enable all available log components at all levels.
  *
  * To control more selectively the log levels for each component, use
  * this syntax:
- * \code
+ * @code
  *   $ NS_LOG='Component1=func|warn:Component2=error|debug'
- * \endcode
+ * @endcode
  * This example would enable the \c func, and \c warn log
  * levels for 'Component1' and the \c error and \c debug log levels
  * for 'Component2'.  The wildcard '*' can be used here as well.  For example
@@ -66,9 +66,9 @@
  * A note on NS_LOG_FUNCTION() and NS_LOG_FUNCTION_NOARGS():
  * generally, use of (at least) NS_LOG_FUNCTION(this) is preferred,
  * with the any function parameters added:
- * \code
+ * @code
  *   NS_LOG_FUNCTION (this << arg1 << args);
- * \endcode
+ * @endcode
  * Use NS_LOG_FUNCTION_NOARGS() only in static functions with no arguments.
  */
 /** @{ */
@@ -120,8 +120,8 @@
  * Same as running your program with the NS_LOG environment
  * variable set as NS_LOG='name=level'.
  *
- * \param [in] name The log component name.
- * \param [in] level The logging level.
+ * @param [in] name The log component name.
+ * @param [in] level The logging level.
  */
 void LogComponentEnable(const std::string& name, LogLevel level);
 
@@ -131,7 +131,7 @@
  * Same as running your program with the NS_LOG environment
  * variable set as NS_LOG='*=level'
  *
- * \param [in] level The logging level.
+ * @param [in] level The logging level.
  */
 void LogComponentEnableAll(LogLevel level);
 
@@ -141,15 +141,15 @@
  * The logging output can be later re-enabled with a call
  * to LogComponentEnable.
  *
- * \param [in] name The log component name.
- * \param [in] level The logging level.
+ * @param [in] name The log component name.
+ * @param [in] level The logging level.
  */
 void LogComponentDisable(const std::string& name, LogLevel level);
 
 /**
  * Disable all logging for all components.
  *
- * \param [in] level The logging level.
+ * @param [in] level The logging level.
  */
 void LogComponentDisableAll(LogLevel level);
 
@@ -173,7 +173,7 @@
  * solution is to add the following 'using' directive at file scope,
  * outside of namespace ns3, and after the inclusion of
  * NS_LOG_COMPONENT_DEFINE, such as follows:
- * \code
+ * @code
  *   namespace ns3 {
  *     NS_LOG_COMPONENT_DEFINE ("...");
  *
@@ -184,9 +184,9 @@
  *   using ns3::g_log;
  *
  *   // Further definitions outside of the ns3 namespace
- * \endcode
+ * @endcode
  *
- * \param [in] name The log component name.
+ * @param [in] name The log component name.
  */
 #define NS_LOG_COMPONENT_DEFINE(name)                                                              \
     static ns3::LogComponent g_log = ns3::LogComponent(name, __FILE__)
@@ -196,8 +196,8 @@
  *
  * See LogComponent().
  *
- * \param [in] name The log component name.
- * \param [in] mask The default mask.
+ * @param [in] name The log component name.
+ * @param [in] mask The default mask.
  */
 #define NS_LOG_COMPONENT_DEFINE_MASK(name, mask)                                                   \
     static ns3::LogComponent g_log = ns3::LogComponent(name, __FILE__, mask)
@@ -220,7 +220,7 @@
  * to allow their methods (defined in an header file) to make use of
  * the NS_LOG_* macros.
  *
- * \param [in] name The log component name.
+ * @param [in] name The log component name.
  */
 #define NS_LOG_TEMPLATE_DEFINE(name) g_log(GetLogComponent(name))
 
@@ -230,7 +230,7 @@
  * This macro should be used in static template methods to allow their
  * methods (defined in an header file) to make use of the NS_LOG_* macros.
  *
- * \param [in] name The log component name.
+ * @param [in] name The log component name.
  */
 #define NS_LOG_STATIC_TEMPLATE_DEFINE(name)                                                        \
     static LogComponent& g_log [[maybe_unused]] = GetLogComponent(name)
@@ -238,35 +238,35 @@
 /**
  * Use \ref NS_LOG to output a message of level LOG_ERROR.
  *
- * \param [in] msg The message to log.
+ * @param [in] msg The message to log.
  */
 #define NS_LOG_ERROR(msg) NS_LOG(ns3::LOG_ERROR, msg)
 
 /**
  * Use \ref NS_LOG to output a message of level LOG_WARN.
  *
- * \param [in] msg The message to log.
+ * @param [in] msg The message to log.
  */
 #define NS_LOG_WARN(msg) NS_LOG(ns3::LOG_WARN, msg)
 
 /**
  * Use \ref NS_LOG to output a message of level LOG_DEBUG.
  *
- * \param [in] msg The message to log.
+ * @param [in] msg The message to log.
  */
 #define NS_LOG_DEBUG(msg) NS_LOG(ns3::LOG_DEBUG, msg)
 
 /**
  * Use \ref NS_LOG to output a message of level LOG_INFO.
  *
- * \param [in] msg The message to log.
+ * @param [in] msg The message to log.
  */
 #define NS_LOG_INFO(msg) NS_LOG(ns3::LOG_INFO, msg)
 
 /**
  * Use \ref NS_LOG to output a message of level LOG_LOGIC
  *
- * \param [in] msg The message to log.
+ * @param [in] msg The message to log.
  */
 #define NS_LOG_LOGIC(msg) NS_LOG(ns3::LOG_LOGIC, msg)
 
@@ -286,12 +286,12 @@
  *
  * The default is DefaultTimePrinter().
  *
- * \param [in] lp The TimePrinter function.
+ * @param [in] lp The TimePrinter function.
  */
 void LogSetTimePrinter(TimePrinter lp);
 /**
  * Get the LogTimePrinter function currently in use.
- * \returns The current LogTimePrinter function.
+ * @returns The current LogTimePrinter function.
  */
 TimePrinter LogGetTimePrinter();
 
@@ -301,12 +301,12 @@
  *
  * The default is DefaultNodePrinter().
  *
- * \param [in] np The LogNodePrinter function.
+ * @param [in] np The LogNodePrinter function.
  */
 void LogSetNodePrinter(NodePrinter np);
 /**
  * Get the LogNodePrinter function currently in use.
- * \returns The current LogNodePrinter function.
+ * @returns The current LogNodePrinter function.
  */
 NodePrinter LogGetNodePrinter();
 
@@ -319,9 +319,9 @@
     /**
      * Constructor.
      *
-     * \param [in] name The user-visible name for this component.
-     * \param [in] file The source code file which defined this LogComponent.
-     * \param [in] mask LogLevels blocked for this LogComponent.  Blocking
+     * @param [in] name The user-visible name for this component.
+     * @param [in] file The source code file which defined this LogComponent.
+     * @param [in] mask LogLevels blocked for this LogComponent.  Blocking
      *                  a log level helps prevent recursion by logging in
      *                  functions which help implement the logging facility.
      */
@@ -329,57 +329,57 @@
     /**
      * Check if this LogComponent is enabled for \c level
      *
-     * \param [in] level The level to check for.
-     * \return \c true if we are enabled at \c level.
+     * @param [in] level The level to check for.
+     * @return \c true if we are enabled at \c level.
      */
     bool IsEnabled(const LogLevel level) const;
     /**
      * Check if all levels are disabled.
      *
-     * \return \c true if all levels are disabled.
+     * @return \c true if all levels are disabled.
      */
     bool IsNoneEnabled() const;
     /**
      * Enable this LogComponent at \c level
      *
-     * \param [in] level The LogLevel to enable.
+     * @param [in] level The LogLevel to enable.
      */
     void Enable(const LogLevel level);
     /**
      * Disable logging at \c level for this LogComponent.
      *
-     * \param [in] level The LogLevel to disable.
+     * @param [in] level The LogLevel to disable.
      */
     void Disable(const LogLevel level);
     /**
      * Get the name of this LogComponent.
      *
-     * \return The name of this LogComponent.
+     * @return The name of this LogComponent.
      */
     std::string Name() const;
     /**
      * Get the compilation unit defining this LogComponent.
-     * \returns The file name.
+     * @returns The file name.
      */
     std::string File() const;
     /**
      * Get the string label for the given LogLevel.
      *
-     * \param [in] level The LogLevel to get the label for.
-     * \return The string label for \c level.
+     * @param [in] level The LogLevel to get the label for.
+     * @return The string label for \c level.
      */
     static std::string GetLevelLabel(const LogLevel level);
     /**
      * Prevent the enabling of a specific LogLevel.
      *
-     * \param [in] level The LogLevel to block.
+     * @param [in] level The LogLevel to block.
      */
     void SetMask(const LogLevel level);
 
     /**
      * LogComponent name map.
      *
-     * \internal
+     * @internal
      * This should really be considered an internal API.
      * It is exposed here to allow print-introspected-doxygen.cc
      * to generate a list of all LogComponents.
@@ -389,12 +389,12 @@
     /**
      * Get the list of LogComponents.
      *
-     * \internal
+     * @internal
      * This should really be considered an internal API.
      * It is exposed here to allow print-introspected-doxygen.cc
      * to generate a list of all LogComponents.
      *
-     * \returns The list of LogComponents.
+     * @returns The list of LogComponents.
      */
     static ComponentList* GetComponentList();
 
@@ -415,8 +415,8 @@
 /**
  * Get the LogComponent registered with the given name.
  *
- * \param [in] name The name of the LogComponent.
- * \return a reference to the requested LogComponent
+ * @param [in] name The name of the LogComponent.
+ * @return a reference to the requested LogComponent
  */
 LogComponent& GetLogComponent(const std::string name);
 
@@ -429,7 +429,7 @@
     /**
      * Constructor.
      *
-     * \param [in] os Underlying output stream.
+     * @param [in] os Underlying output stream.
      */
     ParameterLogger(std::ostream& os);
 
@@ -437,8 +437,8 @@
      * Write a function parameter on the output stream,
      * separating parameters after the first by `,` strings.
      *
-     * \param [in] param The function parameter.
-     * \return This ParameterLogger, so it's chainable.
+     * @param [in] param The function parameter.
+     * @return This ParameterLogger, so it's chainable.
      */
     template <typename T>
     ParameterLogger& operator<<(const T& param);
@@ -446,8 +446,8 @@
     /**
      * Overload for vectors, to print each element.
      *
-     * \param [in] vector The vector of parameters
-     * \return This ParameterLogger, so it's chainable.
+     * @param [in] vector The vector of parameters
+     * @return This ParameterLogger, so it's chainable.
      */
     template <typename T>
     ParameterLogger& operator<<(const std::vector<T>& vector);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/log-macros-disabled.h ns-3.44/src/core/model/log-macros-disabled.h
--- ns-3.43/src/core/model/log-macros-disabled.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/log-macros-disabled.h	2025-03-09 16:55:49.359371000 -0700
@@ -7,8 +7,8 @@
  */
 
 /**
- * \file
- * \ingroup logging
+ * @file
+ * @ingroup logging
  * Definition of empty logging macros and the NS_LOG_NOOP_INTERNAL macro.
  */
 
@@ -46,7 +46,7 @@
 */
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Empty logging macro implementation, used when logging is disabled.
  */
 #define NS_LOG_NOOP_INTERNAL(msg)                                                                  \
@@ -62,7 +62,7 @@
 #define NS_LOG_FUNCTION_NOARGS()
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Empty logging macro implementation, used when logging is disabled.
  */
 #define NS_LOG_NOOP_FUNC_INTERNAL(msg)                                                             \
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/log-macros-enabled.h ns-3.44/src/core/model/log-macros-enabled.h
--- ns-3.43/src/core/model/log-macros-enabled.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/log-macros-enabled.h	2025-03-09 16:55:49.359371000 -0700
@@ -10,8 +10,8 @@
 #define NS3_LOG_MACROS_ENABLED_H
 
 /**
- * \file
- * \ingroup logging
+ * @file
+ * @ingroup logging
  * NS_LOG and related logging macro definitions.
  */
 
@@ -22,9 +22,9 @@
 // for use by NS_FATAL_...
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Implementation details for NS_LOG_APPEND_TIME_PREFIX.
- * \internal
+ * @internal
  * Logging implementation macro; should not be called directly.
  * We define this separately so we can reuse the definition
  * in NS_FATAL.
@@ -41,9 +41,9 @@
     } while (false)
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Implementation details for NS_LOG_APPEND_NODE_PREFIX.
- * \internal
+ * @internal
  * Logging implementation macro; should not be called directly.
  * We define this separately so we can reuse the definition
  * in NS_FATAL.
@@ -62,9 +62,9 @@
 #ifdef NS3_LOG_ENABLE
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Append the simulation time to a log message.
- * \internal
+ * @internal
  * Logging implementation macro; should not be called directly.
  */
 #define NS_LOG_APPEND_TIME_PREFIX                                                                  \
@@ -74,9 +74,9 @@
     }
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Append the simulation node id to a log message.
- * \internal
+ * @internal
  * Logging implementation macro; should not be called directly.
  */
 #define NS_LOG_APPEND_NODE_PREFIX                                                                  \
@@ -86,9 +86,9 @@
     }
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Append the function name to a log message.
- * \internal
+ * @internal
  * Logging implementation macro; should not be called directly.
  */
 #define NS_LOG_APPEND_FUNC_PREFIX                                                                  \
@@ -98,9 +98,9 @@
     }
 
 /**
- * \ingroup logging
+ * @ingroup logging
  * Append the log severity level to a log message.
- * \internal
+ * @internal
  * Logging implementation macro; should not be called directly.
  */
 #define NS_LOG_APPEND_LEVEL_PREFIX(level)                                                          \
@@ -111,7 +111,7 @@
 
 #ifndef NS_LOG_APPEND_CONTEXT
 /**
- * \ingroup logging
+ * @ingroup logging
  * Append the node id (or other file-local programmatic context, such as
  * MPI rank) to a log message.
  *
@@ -120,19 +120,19 @@
  *
  * Preferred format is something like (assuming the node id is
  * accessible from `var`:
- * \code
+ * @code
  *   if (var)
  *     {
  *       std::clog << "[node " << var->GetObject<Node> ()->GetId () << "] ";
  *     }
- * \endcode
+ * @endcode
  */
 #define NS_LOG_APPEND_CONTEXT
 #endif /* NS_LOG_APPEND_CONTEXT */
 
 #ifndef NS_LOG_CONDITION
 /**
- * \ingroup logging
+ * @ingroup logging
  * Limit logging output based on some file-local condition,
  * such as MPI rank.
  *
@@ -141,15 +141,15 @@
  *
  * Since this appears immediately before the `do { ... } while false`
  * construct of \c NS_LOG(level, msg), it must have the form
- * \code
+ * @code
  *   #define NS_LOG_CONDITION    if (condition)
- * \endcode
+ * @endcode
  */
 #define NS_LOG_CONDITION
 #endif
 
 /**
- * \ingroup logging
+ * @ingroup logging
  *
  * This macro allows you to log an arbitrary message at a specific
  * log level.
@@ -158,13 +158,13 @@
  * message such as "my string" << aNumber << "my oth stream".
  *
  * Typical usage looks like:
- * \code
+ * @code
  * NS_LOG (LOG_DEBUG, "a number="<<aNumber<<", anotherNumber="<<anotherNumber);
- * \endcode
+ * @endcode
  *
- * \param [in] level The log level
- * \param [in] msg The message to log
- * \internal
+ * @param [in] level The log level
+ * @param [in] msg The message to log
+ * @internal
  * Logging implementation macro; should not be called directly.
  */
 #define NS_LOG(level, msg)                                                                         \
@@ -185,7 +185,7 @@
     } while (false)
 
 /**
- * \ingroup logging
+ * @ingroup logging
  *
  * Output the name of the function.
  *
@@ -206,25 +206,25 @@
     } while (false)
 
 /**
- * \ingroup logging
+ * @ingroup logging
  *
  * If log level LOG_FUNCTION is enabled, this macro will output
  * all input parameters separated by ", ".
  *
  * Typical usage looks like:
- * \code
+ * @code
  * NS_LOG_FUNCTION (aNumber<<anotherNumber);
- * \endcode
+ * @endcode
  * And the output will look like:
- * \code
+ * @code
  * Component:Function (aNumber, anotherNumber)
- * \endcode
+ * @endcode
  *
  * To facilitate function tracing, most functions should begin with
  * (at least) NS_LOG_FUNCTION(this).  Static functions should use
  * NS_LOG_FUNCTION_NOARGS() instead.
  *
- * \param [in] parameters The parameters to output.
+ * @param [in] parameters The parameters to output.
  */
 #define NS_LOG_FUNCTION(parameters)                                                                \
     NS_LOG_CONDITION                                                                               \
@@ -244,11 +244,11 @@
     } while (false)
 
 /**
- * \ingroup logging
+ * @ingroup logging
  *
  * Output the requested message unconditionally.
  *
- * \param [in] msg The message to log
+ * @param [in] msg The message to log
  */
 #define NS_LOG_UNCOND(msg)                                                                         \
     NS_LOG_CONDITION                                                                               \
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/make-event.h ns-3.44/src/core/model/make-event.h
--- ns-3.43/src/core/model/make-event.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/make-event.h	2025-03-09 16:55:49.359371000 -0700
@@ -15,8 +15,8 @@
 #include <type_traits>
 
 /**
- * \file
- * \ingroup events
+ * @file
+ * @ingroup events
  * ns3::MakeEvent function declarations and template implementation.
  */
 
@@ -26,17 +26,17 @@
 class EventImpl;
 
 /**
- * \ingroup events
+ * @ingroup events
  * Make an EventImpl from class method members which take
  * varying numbers of arguments.
  *
- * \tparam MEM \deduced The class method function signature.
- * \tparam OBJ \deduced The class type holding the method.
- * \tparam Ts \deduced Type template parameter pack.
- * \param [in] mem_ptr Class method member function pointer
- * \param [in] obj Class instance.
- * \param [in] args Arguments to be bound to the underlying function.
- * \returns The constructed EventImpl.
+ * @tparam MEM \deduced The class method function signature.
+ * @tparam OBJ \deduced The class type holding the method.
+ * @tparam Ts \deduced Type template parameter pack.
+ * @param [in] mem_ptr Class method member function pointer
+ * @param [in] obj Class instance.
+ * @param [in] args Arguments to be bound to the underlying function.
+ * @returns The constructed EventImpl.
  */
 template <typename MEM, typename OBJ, typename... Ts>
 std::enable_if_t<std::is_member_pointer_v<MEM>, EventImpl*> MakeEvent(MEM mem_ptr,
@@ -44,8 +44,8 @@
                                                                       Ts... args);
 
 /**
- * \ingroup events
- * \defgroup makeeventfnptr MakeEvent from Function Pointers and Lambdas.
+ * @ingroup events
+ * @defgroup makeeventfnptr MakeEvent from Function Pointers and Lambdas.
  *
  * Create EventImpl instances from function pointers or lambdas which take
  * varying numbers of arguments.
@@ -56,11 +56,11 @@
  * Make an EventImpl from a function pointer taking varying numbers
  * of arguments.
  *
- * \tparam Us \deduced Formal types of the arguments to the function.
- * \tparam Ts \deduced Actual types of the arguments to the function.
- * \param [in] f The function pointer.
- * \param [in] args Arguments to be bound to the function.
- * \returns The constructed EventImpl.
+ * @tparam Us \deduced Formal types of the arguments to the function.
+ * @tparam Ts \deduced Actual types of the arguments to the function.
+ * @param [in] f The function pointer.
+ * @param [in] args Arguments to be bound to the function.
+ * @returns The constructed EventImpl.
  */
 template <typename... Us, typename... Ts>
 EventImpl* MakeEvent(void (*f)(Us...), Ts... args);
@@ -68,8 +68,8 @@
 /**
  * Make an EventImpl from a lambda.
  *
- * \param [in] function The lambda
- * \returns The constructed EventImpl.
+ * @param [in] function The lambda
+ * @returns The constructed EventImpl.
  */
 template <typename T>
 EventImpl* MakeEvent(T function);
@@ -91,34 +91,34 @@
 {
 
 /**
- * \ingroup events
+ * @ingroup events
  * Helper for the MakeEvent functions which take a class method.
  *
  * This helper converts a pointer to a reference.
  *
  * This is the generic template declaration (with empty body).
  *
- * \tparam T \explicit The class type.
+ * @tparam T \explicit The class type.
  */
 template <typename T>
 struct EventMemberImplObjTraits;
 
 /**
- * \ingroup events
+ * @ingroup events
  * Helper for the MakeEvent functions which take a class method.
  *
  * This helper converts a pointer to a reference.
  *
  * This is the specialization for pointer types.
  *
- * \tparam T \explicit The class type.
+ * @tparam T \explicit The class type.
  */
 template <typename T>
 struct EventMemberImplObjTraits<T*>
 {
     /**
-     * \param [in] p Object pointer.
-     * \return A reference to the object pointed to by p.
+     * @param [in] p Object pointer.
+     * @return A reference to the object pointed to by p.
      */
     static T& GetReference(T* p)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/map-scheduler.cc ns-3.44/src/core/model/map-scheduler.cc
--- ns-3.43/src/core/model/map-scheduler.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/map-scheduler.cc	2025-03-09 16:55:49.359371000 -0700
@@ -16,8 +16,8 @@
 #include <string>
 
 /**
- * \file
- * \ingroup scheduler
+ * @file
+ * @ingroup scheduler
  * ns3::MapScheduler implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/map-scheduler.h ns-3.44/src/core/model/map-scheduler.h
--- ns-3.43/src/core/model/map-scheduler.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/map-scheduler.h	2025-03-09 16:55:49.359371000 -0700
@@ -16,8 +16,8 @@
 #include <utility>
 
 /**
- * \file
- * \ingroup scheduler
+ * @file
+ * @ingroup scheduler
  * ns3::MapScheduler declaration.
  */
 
@@ -25,13 +25,13 @@
 {
 
 /**
- * \ingroup scheduler
- * \brief a std::map event scheduler
+ * @ingroup scheduler
+ * @brief a std::map event scheduler
  *
  * This class implements the an event scheduler using an std::map
  * data structure.
  *
- * \par Time Complexity
+ * @par Time Complexity
  *
  * Operation    | Amortized %Time | Reason
  * :----------- | :-------------- | :-----
@@ -41,7 +41,7 @@
  * Remove()     | Logarithmic     | `std::map::find()`
  * RemoveNext() | Constant        | `std::map::begin()`
  *
- * \par Memory Complexity
+ * @par Memory Complexity
  *
  * Category  | Memory                           | Reason
  * :-------- | :------------------------------- | :-----
@@ -54,7 +54,7 @@
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/math.h ns-3.44/src/core/model/math.h
--- ns-3.43/src/core/model/math.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/math.h	2025-03-09 16:55:49.359371000 -0700
@@ -13,8 +13,8 @@
 #define MATH_H
 
 /**
- * \file
- * \ingroup core
+ * @file
+ * @ingroup core
  * log2() macro definition; to deal with \bugid{1467}.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/matrix-array.cc ns-3.44/src/core/model/matrix-array.cc
--- ns-3.43/src/core/model/matrix-array.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/matrix-array.cc	2025-03-09 16:55:49.359371000 -0700
@@ -9,7 +9,17 @@
 #include "matrix-array.h"
 
 #ifdef HAVE_EIGEN3
+
+#if defined(__GNUC__) && !defined(__clang__)
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wclass-memaccess"
+#endif
+
 #include <Eigen/Dense>
+
+#if defined(__GNUC__) && !defined(__clang__)
+#pragma GCC diagnostic pop
+#endif
 #endif
 
 namespace ns3
